GET_CCWDEV_BY_BUSID(9)

NAME
get_ccwdev_by_busid - obtain device from a bus id

SYNOPSIS

struct ccw_device * get_ccwdev_by_busid(struct ccw_driver * cdrv, const char * bus_id);

ARGUMENTS

cdrv
    driver the device is owned by

bus_id
    bus id of the device to be searched

DESCRIPTION

This function searches all devices owned by cdrv for a device with a bus id matching bus_id.

RETURNS

If a match is found, its reference count of the found device is increased and it is returned; else NULL is returned.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT